Package org.apache.storm.container.oci

# Enum Class OciContainerManager.CmdType

java.lang.Object
java.lang.Enum<OciContainerManager.CmdType>
org.apache.storm.container.oci.OciContainerManager.CmdType

All Implemented Interfaces:
  `Serializable`, `Comparable<OciContainerManager.CmdType>`, `Constable`

Enclosing class:
  OciContainerManager

protected static enum OciContainerManager.CmdType extends Enum<OciContainerManager.CmdType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `LAUNCH_DOCKER_CONTAINER`
  `PROFILE_DOCKER_CONTAINER`
  `PROFILE_OCI_CONTAINER`
  `REAP_OCI_CONTAINER`
  `RUN_DOCKER_CMD`
  `RUN_OCI_CONTAINER`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`
  `static OciContainerManager.CmdType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static OciContainerManager.CmdType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LAUNCH_DOCKER_CONTAINER

    public static final OciContainerManager.CmdType LAUNCH_DOCKER_CONTAINER

  - ### RUN_DOCKER_CMD

    public static final OciContainerManager.CmdType RUN_DOCKER_CMD

  - ### PROFILE_DOCKER_CONTAINER

    public static final OciContainerManager.CmdType PROFILE_DOCKER_CONTAINER

  - ### RUN_OCI_CONTAINER

    public static final OciContainerManager.CmdType RUN_OCI_CONTAINER

  - ### REAP_OCI_CONTAINER

    public static final OciContainerManager.CmdType REAP_OCI_CONTAINER

  - ### PROFILE_OCI_CONTAINER

    public static final OciContainerManager.CmdType PROFILE_OCI_CONTAINER

- ## Method Details

  - ### values

    public static OciContainerManager.CmdType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static OciContainerManager.CmdType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<OciContainerManager.CmdType>`